View Issue Details

IDProjectCategoryView StatusLast Update
0000434bareos-core[All Projects] webuipublic2015-07-15 15:26
ReporteradminAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSDebianOS Version7
Product Version14.2.2 
Fixed in Version 
Summary0000434: unpack(): Type N: not enough input, need 4, have 0
DescriptionWarning: unpack(): Type N: not enough input, need 4, have 0 in /usr/share/bareos-webui/vendor/Bareos/library/Bareos/BSock/BareosBSock.php on line 243
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

admin

admin

2015-03-10 07:12

reporter  

bareos.jpg (58,969 bytes)
bareos.jpg (58,969 bytes)
frank

frank

2015-03-10 12:27

manager   ~0001304

Reproduceable: If php error reporting is enabled and user provides a non existing username to sign in, the warning is shown.
frank

frank

2015-03-10 16:41

manager   ~0001306

Fix committed to bareos-webui master branch with changesetid 2927.
admin

admin

2015-03-11 05:24

reporter   ~0001307

After the upgrade bug when opening tabs direct: Notice: fwrite(): send of 19 bytes failed with errno=32 Broken pipe in /usr/share/bareos-webui/vendor/Bareos/library/Bareos/BSock/BareosBSock.php on line 214
frank

frank

2015-03-11 14:20

manager   ~0001309

May you please be so kind and provide some more details to reproduce the issue you reported. E.g., what do you exactly mean by opening tabs direct? Thanks.

Related Changesets

bareos-webui: master b4650e81

2015-03-10 15:29:01

frank

Ported: N/A

Details Diff
Bugfix 434

Wrong comparison operator used.

Fixes 0000434: unpack(): Type N: not enough input
Affected Issues
0000434
mod - vendor/Bareos/library/Bareos/BSock/BareosBSock.php Diff File

Issue History

Date Modified Username Field Change
2015-03-10 07:12 admin New Issue
2015-03-10 07:12 admin Status new => assigned
2015-03-10 07:12 admin Assigned To => frank
2015-03-10 07:12 admin File Added: bareos.jpg
2015-03-10 12:27 frank Note Added: 0001304
2015-03-10 12:27 frank Status assigned => acknowledged
2015-03-10 16:41 frank Changeset attached => bareos-webui master b4650e81
2015-03-10 16:41 frank Note Added: 0001306
2015-03-10 16:41 frank Status acknowledged => resolved
2015-03-10 16:41 frank Resolution open => fixed
2015-03-11 05:24 admin Note Added: 0001307
2015-03-11 05:24 admin Status resolved => feedback
2015-03-11 05:24 admin Resolution fixed => reopened
2015-03-11 14:20 frank Note Added: 0001309
2015-04-17 15:25 frank Status feedback => closed
2015-04-17 15:25 frank Resolution reopened => fixed
2015-07-15 15:26 joergs Assigned To frank =>